### Signal

# Manette Device::hat-axis-event

#### Declaration

    void
    hat_axis_event (
      ManetteDevice* self,
      ManetteEvent* event,
      gpointer user_data
    )

#### Description [src]

Emitted when a hat axis’ value changes.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`event`

  Type: `ManetteEvent`

  The event emitted by the manette device.

  The data is owned by the caller of the function.